### Function

# GLib ScannerMsgFunc

#### Declaration

    void
    (* GScannerMsgFunc) (
      GScanner* scanner,
      gchar* message,
      gboolean error
    )

#### Description [src]

Specifies the type of the message handler function.

#### Parameters

`scanner`

  Type: `GScanner`

  A `GScanner`.

  The data is owned by the caller of the function.

`message`

  Type: `gchar*`

  The message.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`error`

  Type: `gboolean`

  `TRUE` if the message signals an error, `FALSE` if it signals a warning.